LINUX.ORG.RU

[Gentoo] Среда для Qt - KDevelop, QtCreator


0

1

Доброй ночи! Я просто в панике... Итак, есть Gentoo и размаскированные KDE4.5 и Qt4.6.3 со всеми вытекающими последствиями.

QtCreator1.x блокируется, но 2.х - замаскирован - какие с ним проблемы?

KDevelop4 - разочаровал. Как я понял - нативной поддержки Qt нет, нужно компилить extra-plugins. Но это же коряво! Их вроде нет в репозитории, а самому следить за изменениями и обновлять вручную - аццкое извращение. В том виде, который предоставляет мне репозиторий Gentoo, KDevelop меня не устраивает по следующим критериям - по сравнению с 3.x теперь нет возможности шаблонного создания и подключения файлов. Насколько я понял, даже для банального подключения *.ui файлов надо совершать кучу телодвижений, я уже не говорю про генерацию унаследованного класса от QWidget/QMainWindow/QDialog, да ещё и с подключённым ui. Может, я что-то неправильно делаю? Вообще хотел бы вернуться на KDevelop, да только испортили его сильно...

забей чо они там маскируют, просто ставь транк и всё

stevejobs ★★★★☆ ()
Ответ на: комментарий от Kosyak

KDE 4.5 требовали версию не менее 4.6.3, тогда как QtCreator1.x требует 4.6.2 :(

Chaser_Andrey ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.